Bug 606855 - RV770 imac | Starting X makes display go off
RV770 imac | Starting X makes display go off
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
All Linux
low Severity high
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
[cat:modesetting]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 11:50 EDT by Jesse Keating
Modified: 2015-02-17 08:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file. (67.59 KB, text/plain)
2010-06-22 11:50 EDT, Jesse Keating
no flags Details
full dmesg (46.58 KB, text/plain)
2010-06-22 11:54 EDT, Jesse Keating
no flags Details
full dmesg without nomodeset (48.57 KB, text/plain)
2010-06-22 13:10 EDT, Jesse Keating
no flags Details
/var/log/messages with more debugging (865.71 KB, text/plain)
2010-06-22 15:22 EDT, Jesse Keating
no flags Details
dmesg with drm and radeon debugging (50.61 KB, text/plain)
2010-06-22 16:54 EDT, Jesse Keating
no flags Details
xorg log (60.97 KB, text/plain)
2012-04-02 20:13 EDT, Jesse Keating
no flags Details
dmesg from system (102.55 KB, text/plain)
2012-04-02 20:14 EDT, Jesse Keating
no flags Details
dmesg without nomodeset (99.11 KB, application/octet-stream)
2012-04-02 20:24 EDT, Jesse Keating
no flags Details
dmesg w/ drm.debug=4 (109.65 KB, text/plain)
2012-04-03 12:54 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2010-06-22 11:50:37 EDT
Created attachment 425983 [details]
Xorg log file.

New 27" imac with a radeon chipset.  have to boot it with nomodeset or the screen goes blank during boot.  Text mode seems to work, but as soon as X is started the display shuts off.  It's not blank, the backlight appears to be turned off.

Here is a bit from dmesg:

SELinux: initialized (dev proc, type proc), uses genfs_contexts
eth0: no IPv6 routers present
[drm] Setting GART location based on new memory map
[drm] Loading RV770 CP Microcode
platform r600_cp.0: firmware: requesting radeon/RV770_pfp.bin
platform r600_cp.0: firmware: requesting radeon/RV770_me.bin
[drm] Resetting GPU
[drm] writeback test succeeded in 1 usecs
[drm] Resetting GPU


I've also attached the Xorg.0.log
Comment 1 Jesse Keating 2010-06-22 11:54:11 EDT
Created attachment 425986 [details]
full dmesg
Comment 2 Jesse Keating 2010-06-22 13:10:19 EDT
Created attachment 426020 [details]
full dmesg without nomodeset
Comment 3 Jesse Keating 2010-06-22 15:22:50 EDT
Created attachment 426059 [details]
/var/log/messages with more debugging
Comment 4 Jesse Keating 2010-06-22 16:54:46 EDT
Created attachment 426084 [details]
dmesg with drm and radeon debugging
Comment 5 Bug Zapper 2011-06-01 11:53:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jesse Keating 2011-06-01 14:29:20 EDT
Dropping it back on rawhide, but I still need to re-test this.
Comment 7 Jérôme Glisse 2012-02-21 16:53:43 EST
Jesse had a chance to test again ? Mac are problematic with their efi ...
Comment 8 Jesse Keating 2012-02-22 00:04:26 EST
Sadly I haven't.  I have a plan to completely re-install this machine in the next couple months, at which point I can test with EFI booting, hopefully.
Comment 9 Jesse Keating 2012-04-02 20:12:10 EDT
I've just retested with a Fedora 17 development boot disk. Booted via EFI.  Still broken, will attach logs.  Had to boot with "nomodeset text" to get a text console.
Comment 10 Jesse Keating 2012-04-02 20:13:42 EDT
Created attachment 574688 [details]
xorg log
Comment 11 Jesse Keating 2012-04-02 20:14:14 EDT
Created attachment 574689 [details]
dmesg from system
Comment 12 Jesse Keating 2012-04-02 20:24:38 EDT
Created attachment 574694 [details]
dmesg without nomodeset

I was able to get to a dmesg without using 'nomodeset'.  This should have some more information.
Comment 13 Dave Airlie 2012-04-03 01:56:19 EDT
can you get one with drm.debug=4?

I think this is busted displayport issue, I think there is even an upstream bug
Comment 14 Jesse Keating 2012-04-03 12:54:24 EDT
Created attachment 574909 [details]
dmesg w/ drm.debug=4

Attached as requested
Comment 16 Fedora End Of Life 2013-04-03 14:39:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Fedora End Of Life 2015-01-09 11:16:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 08:17:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.